searchData={"items":[{"type":"module","title":"ExTURN","doc":"Module with helper functions","ref":"ExTURN.html"},{"type":"function","title":"ExTURN.channel_data?/1","doc":"Checks if binary is a TURN channel data.\n\nBased on RFC 5766, sec. 11.","ref":"ExTURN.html#channel_data?/1"},{"type":"module","title":"ExTURN.Client","doc":"Memory-based TURN client.","ref":"ExTURN.Client.html"},{"type":"function","title":"ExTURN.Client.allocate/1","doc":"","ref":"ExTURN.Client.html#allocate/1"},{"type":"function","title":"ExTURN.Client.create_channel/3","doc":"","ref":"ExTURN.Client.html#create_channel/3"},{"type":"function","title":"ExTURN.Client.create_permission/2","doc":"","ref":"ExTURN.Client.html#create_permission/2"},{"type":"function","title":"ExTURN.Client.handle_message/2","doc":"","ref":"ExTURN.Client.html#handle_message/2"},{"type":"function","title":"ExTURN.Client.has_channel?/3","doc":"","ref":"ExTURN.Client.html#has_channel?/3"},{"type":"function","title":"ExTURN.Client.has_permission?/2","doc":"","ref":"ExTURN.Client.html#has_permission?/2"},{"type":"function","title":"ExTURN.Client.new/3","doc":"","ref":"ExTURN.Client.html#new/3"},{"type":"function","title":"ExTURN.Client.send/3","doc":"","ref":"ExTURN.Client.html#send/3"},{"type":"type","title":"ExTURN.Client.addr/0","doc":"","ref":"ExTURN.Client.html#t:addr/0"},{"type":"type","title":"ExTURN.Client.message/0","doc":"Messages that can be passed to `handle_message/2`.","ref":"ExTURN.Client.html#t:message/0"},{"type":"type","title":"ExTURN.Client.notification/0","doc":"Notifications emitted by the client.\n\nEvery notification has to be passed back to the client with `handle_message/2`.","ref":"ExTURN.Client.html#t:notification/0"},{"type":"opaque","title":"ExTURN.Client.notification_message/0","doc":"Notification message.\n\nHandled by the client. User code must not rely on its structure.","ref":"ExTURN.Client.html#t:notification_message/0"},{"type":"type","title":"ExTURN.Client.on_handle_message/0","doc":"Return values of `handle_message/2`.\n\n* `:ok` - no further actions are required.\n* `:send` - requires data to be sent over a socket owned by the user.\n* `:allocation_created` - an allocation has been successfully created.\n* `:permission_created` - a permission has been successfully created and\nthe client is ready to send data with `send/3`.\n* `:channel_created` - a channel has been successfully created and all\nsubsequent calls to `send/3` will use channel data message format.\n* `:data` - data has been received from a peer.\n* `:error` - an error has occured and the client cannot be used anymore.","ref":"ExTURN.Client.html#t:on_handle_message/0"},{"type":"type","title":"ExTURN.Client.t/0","doc":"Type describing `ExTURN.Client` struct.\n\nPossible states:\n  * `:new` - the first allocation request has not been sent yet\n  * `:auth` - the first allocation request has been sent\n  * `:alloc` - an actuall allocation request with auth attributes has been sent\n  * `:allocated` - an allocation has been successfully created\n  * `:error` - an error has occured and the client cannot be used anymore.","ref":"ExTURN.Client.html#t:t/0"},{"type":"extras","title":"ExTURN","doc":"# ExTURN\n\n[![Hex.pm](https://img.shields.io/hexpm/v/ex_turn.svg)](https://hex.pm/packages/ex_turn)\n[![API Docs](https://img.shields.io/badge/api-docs-yellow.svg?style=flat)](https://hexdocs.pm/ex_turn)\n[![CI](https://img.shields.io/github/actions/workflow/status/elixir-webrtc/ex_turn/ci.yml?logo=github&label=CI)](https://github.com/elixir-webrtc/ex_turn/actions/workflows/ci.yml)\n[![codecov](https://codecov.io/gh/elixir-webrtc/ex_turn/graph/badge.svg?token=VPsTinh1BK)](https://codecov.io/gh/elixir-webrtc/ex_turn)\n\nIn-memory implementation of the TURN client.\n\nImplements:\n* [RFC 5766](https://datatracker.ietf.org/doc/html/rfc5766)","ref":"readme.html"},{"type":"extras","title":"Installation - ExTURN","doc":"```elixir\ndef deps do\n  [\n    {:ex_turn, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}